GET /v1/imports/template.csv

A blank Ledger CSV v1 template with two example rows

Auth. Send the token in the X-Ledger-Token header.

Responses

StatusMeaningBody
200The templatestring
429Too many requests from this client address. Wait the number of seconds in Retry-After, then try again.Error

Example response

"string"

Code samples

Set KEY to your own token first.

curl

curl \
  -H X-Ledger-Token:$KEY \
  "https://api.sasek.org/ledger/v1/imports/template.csv"

JavaScript

const res = await fetch("https://api.sasek.org/ledger/v1/imports/template.csv", {
  headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();

Python

import json
import os
import urllib.request

request = urllib.request.Request(
    "https://api.sasek.org/ledger/v1/imports/template.csv",
    method="GET",
    headers={
        "X-Ledger-Token": os.environ["KEY"],
    },
)
with urllib.request.urlopen(request) as response:
    print(json.load(response))